SSIFsize (Catalina Internal API Documentation)
Keywords: org.apache.catalina.ssi.SSIFsize class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class SSIFsize

    java.lang.Object
      org.apache.catalina.ssi.SSIFsize

All Implemented Interfaces:
  SSICommand

public final class SSIFsize
extends java.lang.Object
implements SSICommand

Implements the Server-side #fsize command

Version:
  $Revision: 289023 $, $Date: 2004-08-26 18:06:34 -0400 (Thu, 26 Aug 2004) $
Author:
  Bip Thelin, Paul Speed, Dan Sandberg

Field Summary
`protected static int` | `ONE_KILOBYTE`
`protected static int` | `ONE_MEGABYTE`

Constructor Summary
`SSIFsize()`

Method Summary
`protected java.lang.String` | `formatSize(long size, java.lang.String format)`
`java.lang.String` | `padLeft(java.lang.String str, int maxChars)`
`void` | `process(SSIMediator ssiMediator, java.lang.String commandName, java.lang.String[] paramNames, java.lang.String[] paramValues, java.io.PrintWriter writer)` Write the output of the command to the writer.
`java.lang.String` | `repeat(char aChar, int numChars)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONE_KILOBYTE

    protected static final int ONE_KILOBYTE

See Also:
  Constant Field Values

### ONE_MEGABYTE

    protected static final int ONE_MEGABYTE

See Also:
  Constant Field Values

Constructor Detail

### SSIFsize

    public SSIFsize()

Method Detail

### process

    public void process(SSIMediator ssiMediator,
                        java.lang.String commandName,
                        java.lang.String[] paramNames,
                        java.lang.String[] paramValues,
                        java.io.PrintWriter writer)

  Description copied from interface: `SSICommand`
  Write the output of the command to the writer.

  Specified by:
    `process` in interface `SSICommand`
  Parameters:
    `ssiMediator` - the ssi mediator
    `commandName` - the name of the actual command ( ie. echo )
    `paramNames` - The parameter names
    `paramValues` - The parameter values
    `writer` - the writer to output to
  See Also:
    `SSICommand`

### repeat

    public java.lang.String repeat(char aChar,
                                   int numChars)

### padLeft

    public java.lang.String padLeft(java.lang.String str,
                                    int maxChars)

### formatSize

    protected java.lang.String formatSize(long size,
                                          java.lang.String format)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.